/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package bachelorprojectarticleinfo;

import java.util.List;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQuery;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 *
 * @author marti
 */
@Entity
@Data
@NoArgsConstructor
@NamedQuery(name = "ArticleInfoEntity.findAllArticleInfo",
        query = "select a from ArticleInfoEntity a")
public class ArticleInfoEntity {
    @Id
    @Column(name="id")
    String url;
    
    String title;
    String stockName;
    String date;
    String publisher;
    
    int sentiment;
    
    List<String> negativeWords;
    List<String> positiveWords;
    
    public ArticleInfoEntity(String url, String title, String stockName, 
            String date, String publisher, int sentiment, List<String> negativeWords, List<String> positiveWords){
        this.url = url;
        this.title = title;
        this.stockName = stockName;
        this.date = date;
        this.publisher = publisher;
        this.sentiment = sentiment;
        this.negativeWords = negativeWords;
        this.positiveWords = positiveWords;
    }
    
    
}
